Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.getcapabilities
Class ContentMetadata

    java.lang.Object
      org.deegree.ogcwebservices.wcs.getcapabilities.ContentMetadata

All Implemented Interfaces:
  Serializable

    public class ContentMetadata

extends Object
implements Serializable

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`ContentMetadata(String version, String updateSequence, CoverageOfferingBrief[] coverageOfferingBrief)`

Method Summary
`CoverageOfferingBrief[]` | `getCoverageOfferingBrief()`
`CoverageOfferingBrief` | `getCoverageOfferingBrief(String coverageName)` returns the `CoverageOfferingBrief`for the coverage matching the passed name. if no coverage with this name is available `null` will be returned.``
`String` | `getUpdateSequence()`
`String` | `getVersion()`
`void` | `setCoverageOfferingBrief(CoverageOfferingBrief[] coverageOfferingBrief)`
`void` | `setUpdateSequence(String updateSequence)`
`void` | `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentMetadata

    public ContentMetadata(String version,
                           String updateSequence,
                           CoverageOfferingBrief[] coverageOfferingBrief)

Parameters:
  `version` -
  `updateSequence` -
  `coverageOfferingBrief` -

Method Detail

### getCoverageOfferingBrief

    public CoverageOfferingBrief[] getCoverageOfferingBrief()

  Returns:
    Returns the coverageOfferingBrief.

### getCoverageOfferingBrief

    public CoverageOfferingBrief getCoverageOfferingBrief(String coverageName)

  returns the `CoverageOfferingBrief`for the coverage matching the passed name. if no coverage with this name is available `null` will be returned.

  ``
  Parameters:
    `coverageName` -
  Returns:
    the `CoverageOfferingBrief`for the coverage matching the passed name. if no coverage with this name is available `null` will be returned.``

### setCoverageOfferingBrief

    public void setCoverageOfferingBrief(CoverageOfferingBrief[] coverageOfferingBrief)

  Parameters:
    `coverageOfferingBrief` - The coverageOfferingBrief to set.

### getUpdateSequence

    public String getUpdateSequence()

  Returns:
    Returns the updateSequence.

### setUpdateSequence

    public void setUpdateSequence(String updateSequence)

  Parameters:
    `updateSequence` - The updateSequence to set.

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(String version)

  Parameters:
    `version` - The version to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org